To run the RRAM simulation, add the VerilogA folder and mchen folder to the cadence library. Inside the mchen folder, the 4bitTileR testbench is included. It should include an ideal ADC, TIA, 6 DACs, and 6 4-bit RRAM tiles. The spectre-state is also included for simulation, and inputs/weights are already set in this schematic. In 4bitTile, this has a testbench with a single tile for read/write tests. Within the charana and xiaowen folders are further works on the supporting circuitry, as well as some of the python code used for quantization/inital training.

Also included are two sets of slides in PDF format - one is from the initial May 2 presentation, the other is the updated version with working RRAM array.